"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.recentlyOffline = recentlyOffline;

var _rxjs = require("rxjs");

var _operators = require("rxjs/operators");

var _drr = require("../util/drr");

// Copyright 2017-2019 @polkadot/api-derive authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function expandDerived(recentlyOffline) {
  return recentlyOffline.reduce((result, _ref) => {
    let [accountId, blockNumber, count] = _ref;
    const key = accountId.toString();

    if (!result[key]) {
      result[key] = [];
    }

    result[key].push({
      blockNumber,
      count
    });
    return result;
  }, {});
}
/**
 * @description Retrieve a keyed record of accounts recently reported to be offline
 */


function recentlyOffline(api) {
  return () => ( // TODO recentlyOffline  has been dropped for 2.x and replaced, figure out the
  // replacement as actually use and implement it
  api.query.staking.recentlyOffline ? api.query.staking.recentlyOffline() : (0, _rxjs.of)([])).pipe((0, _operators.map)(expandDerived), (0, _drr.drr)());
}